Skip to main content

Orders history

info

Once the payment process has begun, sending the history of the customer's store purchases is recommended in order to improve the likelihood of the financing request being accepted.

It is recommended that this be sent asynchronously so as not to delay the loading of the template.

POST /orders/:orderId/history HTTP/1.1
Accept: application/vnd.aplazame.v1+json
Authorization: Bearer api_private_key
Host: api.aplazame.com
Content-Type: application/json
[{
"id": "18857527248912279381",
"amount": 12080,
"due": "",
"status": "cancelled",
"type": "paypal",
"order_date": "2014-03-21T13:56:45+0000",
"currency": "EUR",
"billing": null,
"shipping": {
"first_name": "Django",
"last_name": "Reinhard",
"phone": "616123456",
"alt_phone": "+34917909930",
"street": "Plaza del Angel nº10",
"address_addition": "Cerca de la plaza Santa Ana",
"city": "Madrid",
"state": "Madrid",
"country": "ES",
"postcode": "28012",
"price": 500,
"tax_rate": 2100,
"name": "Planet Express",
"discount": 100
}
}]
ParameterTypeDescription
:orderIdstring
idstring
amountdecimal
duedecimalNo
statusstring
typestring
order_datestring
currencyISO 4217
billingobjectNo
shippingobjectNo

Response

HTTP/1.1 204 No Content
X-Aplazame-Media-Type: aplazame.v1